#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.5.0
%global		package_name ovirt-iso-uploader
# Required users and groups
%global		vdsm_user vdsm
%global		vdsm_group kvm

%define		enable_autotools 0

Summary:	ISO Uploader for Red Hat Enterprise Virtualization
Name:		rhevm-iso-uploader
Version:	3.5.0
Release:	3%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/pub/ovirt-3.5/src/%{package_name}/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires(pre):	shadow-utils
Requires:	rhevm-sdk-python >= 3.5.0.7
Requires:	logrotate
BuildRequires:	gettext-devel
BuildRequires:	python2-devel
BuildRequires:	autoconf
BuildRequires:	automake

Patch1:	0001-packaging-setup-Making-error-messages-more-verbose.patch
Patch2:	0002-storage-fix-nfs-uploading.patch

%description
ISO Uploader tool for Red Hat Enterprise Virtualization

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1

%build
%if 0%{?enable_autotools}
autoreconf -ivf
%endif
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check

make %{?_smp_mflags}

%pre
getent group %{vdsm_group} >/dev/null || \
	LC_ALL=C groupadd -g 36 -r %{vdsm_group}
getent passwd %{vdsm_user} >/dev/null || \
	LC_ALL=C useradd -r -u 36 -g %{vdsm_group} -d / \
		-s /sbin/nologin -c "Node Virtualization Manager" %{vdsm_user}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-iso-uploader %{buildroot}/%{_bindir}/rhevm-iso-uploader
echo ".so man8/engine-iso-uploader.8" > %{buildroot}/%{_mandir}/man8/rhevm-iso-uploader.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/isouploader.conf.d
%attr(0640, -, -) %config(noreplace) %{_sysconfdir}/ovirt-engine/isouploader.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_iso_uploader/*.py*
%{_bindir}/ovirt-iso-uploader
%{_bindir}/engine-iso-uploader
%{_mandir}/man8/*
%{_bindir}/rhevm-iso-uploader

%changelog
* Mon Jan 19 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-3
- Resolves: BZ#1183095

* Fri Oct 03 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-2
- Resolves: BZ#1144836

* Mon Sep 22 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-1
- Rebase on upstream 3.5.0
- Resolves: BZ#1136768

* Wed Sep 10 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.3.beta
- Resolves: BZ#1110756

* Thu Aug 21 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.2.master
- Resolves: BZ#1110756

* Thu Jul 24 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.1.ovirtbeta2
- Rebase on upstream beta 2 release
- Resolves: BZ#1100825
- Resolves: BZ#1100824

